"use strict";
this.name = "CT_Script";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Captured Thargons - for 1.74+";
this.version = "2.01";

this.startUp = function () {
	if (missionVariables.CT_thargonCount == null) {
		missionVariables.CT_thargonCount = 0;
	}

	if (missionVariables.CT_thargonCargo == null) {
		missionVariables.CT_thargonCargo = manifest.alien_items;
	}
}

this.guiScreenChanged = function (to, from) {
	if (to == "GUI_SCREEN_EQUIP_SHIP") {
		missionVariables.CT_thargonCargo = manifest.alien_items;
	}
}

this.playerBoughtEquipment = function (equipment) {
	switch (equipment) {
		case "EQ_CT_MINE":
			{
				missionVariables.CT_thargonCount = 5;
				mission.runScreen({
					title: "Captured Thargon Purchase",
					messageKey: "CT_instructions",
					model: "CT_thargon"
				});
				break;
			}

		case "EQ_MISSILE_REMOVAL":
			{
				if (missionVariables.CT_thargonCount > 0) { // Player gets 5000 back for the removal, but if <5 drones left deduct 1000 per drone
					player.credits -= (1000 * (5 - missionVariables.CT_thargonCount));
					missionVariables.CT_thargonCount = 0;
				}
				break;
			}

		case "EQ_CT_DRONE_1":
			{
				missionVariables.CT_thargonCount += 1;
				player.ship.removeEquipment("EQ_CT_DRONE_1");
				break;
			}

		case "EQ_CT_DRONE_2":
			{
				missionVariables.CT_thargonCount += 2;
				player.ship.removeEquipment("EQ_CT_DRONE_2");
				break;
			}

		case "EQ_CT_DRONE_3":
			{
				missionVariables.CT_thargonCount += 3;
				player.ship.removeEquipment("EQ_CT_DRONE_3");
				break;
			}

		case "EQ_CT_DRONE_4":
			{
				missionVariables.CT_thargonCount += 4;
				player.ship.removeEquipment("EQ_CT_DRONE_4");
				break;
			}
		case "EQ_CT_CONVERT":
			{
				if (manifest.alien_items > 0) {
					manifest.alien_items--;
					missionVariables.CT_thargonCount++;
					missionVariables.CT_thargonCargo = manifest.alien_items;
					player.ship.removeEquipment("EQ_CT_CONVERT");
				}
				break;
			}
	}

	if (missionVariables.CT_thargonCount > 5) {
		missionVariables.CT_thargonCount = 5;
	}
}