"use strict";
this.name = "armoury_displacerMissile.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the displacer missile";
this.version = "1.00";

this.removeSelf = function () {
	this.ship.remove();
}

this.performDisplace = function () {
	if (!this.ship.target || !this.ship.target.isShip || !this.ship.target.isValid || this.ship.target.isCargo || this.ship.target.fuel == 0) { // displacement only for ships with fuel
		this.ship.remove();
		return;
	}

	this.ship.target.fuel *= Math.random(); // drain off some fuel to simulate the jump	

	if (this.ship.target.target) { // remove the displaced ship's target, if it has one
		this.ship.target.target = null;
	}

	this.xDistance = ((Math.random() * 2) - 1) * 1024000;
	this.yDistance = ((Math.random() * 2) - 1) * 1024000;
	this.zDistance = ((Math.random() * 2) - 1) * 1024000;

	this.ship.target.position = this.ship.target.position.add([this.xDistance, this.yDistance, this.zDistance]);

	if (this.ship.target.isPlayer) {
		player.consoleMessage("EMERGENCY - position changed by displacement weapon - compensating", 6);
	}

	this.ship.remove();
}