"use strict";
this.name = "armoury_fieldMine.js";
this.author = "Thargoid";
this.copyright = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license with clauses - see readme.txt.";
this.description = "Ship script for field missile's mine.";
this.version = "1.0";

this.shipSpawned = function () {
	// create an array with all possible target ships ("isShip" includes barrels and rock etc.) 
	this.fieldTimer = new Timer(this, this.findPrey, 0, 1);
}

this.findPrey = function () {
	function targetShips(entity) {
		return (entity.isShip && !entity.hasRole("armoury_fieldMissile") && !entity.hasRole("armoury_fieldMine"))
	};
	let prey = system.filteredEntities(this, targetShips, this.ship, 500);
	if (prey.length > 0) {
		this.stopTimer();
		this.ship.AIState = "BANG";
	}
}

this.stopTimer = function () {
	if (this.fieldTimer && this.fieldTimer.isRunning) {
		this.fieldTimer.stop();
		delete this.fieldTimer;
	}
}