"use strict";
this.name = "armoury_machineScript.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "World script for Armoury OXP missile machine";
this.version = "1.00";

this.missileMachine = function () {
	this.mountSound1 = new SoundSource;
	this.mountSound1.sound = "armoury_missileMount1.ogg";
	this.mountSound1.loop = false;
	this.mountSound2 = new SoundSource;
	this.mountSound2.sound = "armoury_missileMount2.ogg";
	this.mountSound2.loop = false;
	this.mountSound3 = new SoundSource;
	this.mountSound3.sound = "armoury_missileMount3.ogg";
	this.mountSound3.loop = false;

	if (this.mmTimer && this.mmTimer.isRunning) {
		player.consoleMessage("Missile machine already running - please wait", 6);
		return;
	}

	if (player.ship.missiles.length == player.ship.missileCapacity) {
		player.consoleMessage("No free missile pylons available - aborting", 6);
		return;
	}

	if (player.ship.manifest["radioactives"] == 0 || player.ship.manifest["alloys"] == 0 || player.ship.fuel < 0.2) {
		player.consoleMessage("Insufficient raw materials for manufacture - aborting", 6);
		return;
	}

	player.ship.manifest["radioactives"] -= 1;
	player.ship.manifest["alloys"] -= 1;
	player.ship.fuel -= 0.1;

	if (player.ship.manifest["computers"] > 0) {
		missionVariables.armoury_MM = "EQ_ARMOURY_HARD_MISSILE";
		player.ship.manifest["computers"] -= 1;
	} else {
		missionVariables.armoury_MM = "EQ_ARMOURY_STANDARD_MISSILE";
	}

	player.consoleMessage("Missile machine working - please wait", 6);
	this.mmTimer = new Timer(this, this.awardWeapons, 60);
}

this.awardWeapons = function () {
	this.mountCount = 0;
	player.consoleMessage("Missile manufacture completed - mounting to pylons", 6);
	this.canMount = player.ship.awardEquipment(missionVariables.armoury_MM);
	if (this.canMount) {
		this.mountCount++;
	}
	this.canMount = player.ship.awardEquipment(missionVariables.armoury_MM);
	if (this.canMount) {
		this.mountCount++;
	}
	this.canMount = player.ship.awardEquipment(missionVariables.armoury_MM);
	if (this.canMount) {
		this.mountCount++;
	}
	switch (this.mountCount) {
		case 1:
			{
				this.mountSound1.play();
				break;
			}
		case 2:
			{
				this.mountSound2.play();
				break;
			}
		case 3:
			{
				this.mountSound3.play();
				break;
			}
	}
}

this.shipWillDockWithStation = function () {
	if (this.mmTimer && this.mmTimer.isRunning) {
		this.mmTimer.stop();
		this.awardWeapons();
	}
}

this.shipDied = function () {
	if (this.mmTimer && this.mmTimer.isRunning) {
		this.mmTimer.stop();
	}
}