"use strict";
this.name = "armoury_screamerMine.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the screamer mine";
this.version = "1.00";

this.shipSpawned = function () {
	this.ship.desiredSpeed = 0;
	this.destructChance = -0.5;
	this.screamerTimer = new Timer(this, this.scream, 0, 2);
}

this.playerWillEnterWitchspace = this.shipDied = function () {
	if (this.screamerTimer && this.screamerTimer.isRunning) {
		this.screamerTimer.stop();
	}
}

this.scream = function () {
	if (!this.ship) {
		this.shipDied();
		return;
	}

	if (Math.random() < this.destructChance) // increasing chance that the mine's energy has run out and it self-destructs
	{
		this.ship.explode();
		this.shipDied();
		return;
	} else {
		this.destructChance += 0.01;
	}

	function isAlien(entity) {
		return (entity.isShip && entity.target && entity.target != this.ship && (entity.isThargoid || entity.hasRole("thargoid") || entity.hasRole("thargon") || entity.hasRole("tharglet")));
	}

	var targetArray = system.filteredEntities(this, isAlien, this.ship, 25600)
	if (targetArray.length > 0) {
		var targetCounter = 0;
		for (targetCounter = 0; targetCounter < targetArray.length; targetCounter++) {
			if (Math.random() < 0.25) {
				targetArray[targetCounter].reactToAIMessage("TARGET_LOST");
				targetArray[targetCounter].target = this.ship;
				targetArray[targetCounter].AIState = "ATTACK_SHIP";
			}
		}
	}
}