"use strict";
this.name = "armoury_voidBomb.js";
this.author = "Thargoid";
this.copyright = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Ship script for the void bomb";
this.version = "1.00";

this.detonate = function () {
	if (this.ship.subEntities.length > 0) {
		this.ship.subEntities[0].explode();
	}
	this.ship.displayName = "Void Bomb Singularity";
	this.voidTimer = new Timer(this, this.beginAttract, 0, 0.25);
}

this.playerWillEnterWitchspace = this.shipDied = this.stopTimer = function () {
	if (this.voidTimer && this.voidTimer.isRunning) {
		this.voidTimer.stop();
	}
}

this.beginAttract = function () {
	if (!this.ship) {
		this.stopTimer();
		return;
	}

	this.ship.velocity = [0, 0, 0];

	function isTarget(entity) {
		return (entity.isShip && entity.isValid);
	}

	var targetArray = system.filteredEntities(this, isTarget, this.ship, 25600)
	if (targetArray.length > 0) {
		var targetCounter = 0;
		for (targetCounter = 0; targetCounter < targetArray.length; targetCounter++) {
			this.targetRange = targetArray[targetCounter].position.distanceTo(this.ship.position);
			this.targetVector = this.ship.position.subtract(targetArray[targetCounter].position).direction();
			this.rangeFactor = (this.targetRange / 25600) * 0.8;
			targetArray[targetCounter].velocity = targetArray[targetCounter].velocity.multiply(this.rangeFactor + 0.1).add(this.targetVector.multiply(25 * (1 - this.rangeFactor)));
		}
	}
}

this.shipTakingDamage = function (amount, fromEntity, damageType) {
	this.ship.energy = this.ship.maxEnergy;
}

this.shipCollided = function (otherShip) {
	if (this.ship.AIState === "VOID") {
		otherShip.energy -= 64;
		this.ship.energy = this.ship.maxEnergy;
	}
}

/* Need to add dependence on mass perhaps? Also perhaps adjust the 10* multiplier for the applied velocity */