"use strict";
this.name = "drones_Pickup";
this.author = "Thargoid & Eric Walsh";
this.copyright = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license with clauses - see readme.txt.";
this.description = "Pickup of a drone after combat, and check if it's reusable (T). New JS Scanning routine (EW). Updated for 1.74";
this.version = "2.01";

this.shipWasScooped = function (scooper) {
	if (scooper.isPlayer) {
		let choice = (Math.ceil(Math.random() * 3));
		if (choice == 3) {
			player.consoleMessage(this.ship.name + " circuits blown - only good for scrap machinery.", 6);
			manifest["machinery"] += 1;
		} else {
			player.consoleMessage(this.ship.name + " recovered, recharged and ready for use.", 6);
			player.ship.awardEquipment(this.ship.scriptInfo.DroneEquipment)
		}
	}
}

this.findMastersHostiles = function () {
	function isHostileToMaster(entity) {
		return (entity.isShip && (entity.isThargoid || (entity.target && entity.target == this.ship.master && entity.hasHostileTarget)));
	}
	let targets = system.filteredEntities(this, isHostileToMaster, this.ship, 25600)
	if (targets.length > 0) {
		this.ship.target = targets[0];
		this.ship.reactToAIMessage("NEW_DRONE_TARGET");
		if (this.ship.master && this.ship.master.isPlayer) player.commsMessage(this.ship.name + ": Attacking " + targets[0].displayName)
	} else this.ship.reactToAIMessage("NOTHING_FOUND");
}

this.shipTargetDestroyed = function (target) {
	if (this.ship.master && this.ship.master.isPlayer) {
		player.score += 1;
		player.credits += target.bounty;
		player.consoleMessage("Drone kill - " + target.name + " : " + target.bounty + "? awarded.", 5);
	}
	log("Drone kill - " + target.name + " : " + target.bounty);

	if (target.primaryRole == "constrictor" && missionVariables.conhunt && missionVariables.conhunt == "STAGE_1") { // just in case the drone kills the constrictor, let's not break the mission for the player...
		missionVariables.conhunt = "CONSTRICTOR_DESTROYED";
	}
}